org.mariadb.jdbc.internal.common.queryresults

## Class ColumnNameMap

- java.lang.Object
- - org.mariadb.jdbc.internal.common.queryresults.ColumnNameMap

    public class ColumnNameMap
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ColumnNameMap(MySQLColumnInformation[] columnInformations)`

### Method Summary

Methods
`int` `getIndex(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnNameMap

    public ColumnNameMap(MySQLColumnInformation[] columnInformations)

### Method Detail

#### getIndex

    public int getIndex(String name)
                 throws SQLException

Throws:
  `SQLException`